package com.qmth.jkserver.dao;

//import com.qmth.jkserver.model.ExamRoomAddress;
//import org.springframework.data.mongodb.repository.MongoRepository;
//import org.springframework.stereotype.Repository;
//
//@Repository
//public interface ExamRoomAddressDao extends MongoRepository<ExamRoomAddress, String> {
//
//	public void deleteByExamCode(String examCode);
//
//}

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.qmth.jkserver.model.ExamRoomAddress;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 考点考场地址表 Mapper 接口
 * </p>
 *
 * @author wangliang
 * @since 2023-03-01
 */
public interface ExamRoomAddressDao extends BaseMapper<ExamRoomAddress> {

    public void deleteByExamCode(@Param("examCode") String examCode);

    List<Map> findByProvinceAndCity(@Param("province") String province, @Param("city") String city);
}
