package com.qmth.jkserver.dao;

//import java.util.List;
//
//import org.springframework.data.mongodb.repository.MongoRepository;
//import org.springframework.stereotype.Repository;
//
//import com.qmth.jkserver.model.KwFile;
//
//@Repository
//public interface KwFileDao extends MongoRepository<KwFile, String>{
//
//	public List<KwFile> findByExamCode(String examCode);
//
//	public void deleteByExamCode(String examCode);
//}

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.qmth.jkserver.model.KwFile;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 考务文件对象 Mapper 接口
 * </p>
 *
 * @author wangliang
 * @since 2023-03-01
 */
public interface KwFileDao extends BaseMapper<KwFile> {

    public List<KwFile> findByExamCode(@Param("examCode") String examCode);

    public void deleteByExamCode(@Param("examCode") String examCode);
}
