package com.qmth.jkserver.core.kj;

import com.qmth.jkserver.enums.ProgressType;

/**
 * 考试结果数据校验
 * 校验成功返回考试结果对象
 * @author tianjun
 *
 */
public interface IKjValidateAndStore {
	
	/**
	 * 
	 * @param examCode 		考试识别码
	 * @param encrypted		监考端上传的原始文件的ID
	 * @return		校验通过的考试数据
	 */
	public void execute(ProgressType type) throws Exception;

}
