package com.qmth.jkserver.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.qmth.jkserver.model.ExamRoomMonitorInfo;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;
import java.util.Set;

public interface ExamRoomMonitorInfoDao extends BaseMapper<ExamRoomMonitorInfo> {

    IPage<ExamRoomMonitorInfo> findByExamCodeAndPlaceCodeAndRoomCode(IPage<Map> iPage,
                                                                     @Param("examCode") String examCode,
                                                                     @Param("placeCodeSet") Set<String> placeCodeSet,
                                                                     @Param("roomCodeSet") Set<String> roomCodeSet);

    List<Map> findByExamCodeAndPlaceCodeAndRoomCodeByList(@Param("examCode") String examCode,
                                                    @Param("placeCodeSet") Set<String> placeCodeSet,
                                                    @Param("roomCodeSet") Set<String> roomCodeSet);
}
