package com.qmth.jkserver.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.qmth.jkserver.dao.StudentInfoDao;
import com.qmth.jkserver.model.StudentInfo;
import com.qmth.jkserver.service.JkStudentInfoService;
import org.springframework.context.annotation.Scope;
import org.springframework.context.annotation.ScopedProxyMode;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 学生信息表 服务实现类
 * </p>
 *
 * @author wangliang
 * @since 2023-03-01
 */
@Service
@Scope(proxyMode = ScopedProxyMode.INTERFACES)
public class JkStudentInfoServiceImpl extends ServiceImpl<StudentInfoDao, StudentInfo> implements JkStudentInfoService {

}
